#include <iostream>
using namespace std;

int main(){
    int n,m;
    int zbr = 0;
    cin>> n >> m;
    for(int i=0; i<n; i++){
        if(i==0 || i==n-1){
            zbr+=m;
        }else if(i%2==0){
            zbr+= m-(m/2-1);
        }else if(i%2!=0){
            zbr+= m-m/2;
        }

    }
    cout<< zbr;
    return 0;
}